<?php
$path = str_replace('\\', '/', dirname(__FILE__));
$basePath = strstr($path, '/includes/plugins/', true);
$bootstrapper = $basePath.'/includes/globalinclude.php';

$exit = function ($error = false) {
  ob_end_clean();
  http_response_code(($error !== true) ? 200 : 503);
  exit;
};

if (!file_exists($bootstrapper)) {
  $exit(true);
}

require_once $bootstrapper;
require_once PFAD_ROOT.PFAD_INCLUDES_MODULES.'PaymentMethod.class.php';

$oPlugin = Plugin::getPluginById('mcpay_mircopayment');

if ($oPlugin === null) {
  die('McPay Plugin cant be found.');
  $exit(true);
}

require_once str_replace('frontend', 'paymentmethod', $oPlugin->cFrontendPfad).'/class.micropayment_ccard.php';
$payment = new micropayment_ccard();

echo $payment->getScriptAction($oPlugin);
exit();
?>