<?php
// HOOK_BESTELLVORGANG_PAGE_STEPBESTAETIGUNG

//echo '<pre>'.print_r($_SESSION,1).'</pre>';
//echo '<pre>'.print_r($oPlugin,1).'</pre>';
//echo '<pre>'.print_r($_SESSION['Zahlungsart'],1).'</pre>';
if (strpos($_SESSION['Zahlungsart']->cModulId, '_micropayment') !== FALSE) {
  $lang    = $_SESSION['cISOSprache'];
  $zahlart = $_SESSION['Zahlungsart']->kZahlungsart;
// get hinweisText from PluginTexts
  $text = '';
  foreach ($oPlugin->oPluginZahlungsmethode_arr AS $k => $v) {
    if ($v->kZahlungsart == $zahlart) {
      foreach ($v->oZahlungsmethodeSprache_arr AS $kk => $vv) {
        if ($vv->cISOSprache == $lang) {
          $text = $vv->cHinweisText;
        }
      }
    }
  }

  $mapID2PM = array(
    'vorkasse'       => 'prepay',
    'lastschrift'    => 'sepa',
    'kreditkarte'    => 'ccard',
    'webkreditkarte' => 'ccard',
    'weblastschrift' => 'sepa',
    'websofort.'     => 'sofort',
    'webprepay'      => 'prepay',
    'webpaysafecard' => 'paysafecard',
    'webpaydirekt'   => 'paydirekt',
    'webpaypal'      => 'paypal',
    'webcall2pay'    => 'call2pay',
    'webhandypay'    => 'handypay',
  );
// load base plugin
  $path = $oPlugin->cPluginPfad.'paymentmethod/class.micropayment_base.php';
  require_once($path);
  $mpBase = new micropayment_base();
//echo '<pre>'.print_r($mpBase,1).'</pre>';
  $conf = $mpBase->getPluginConf($order, $oPlugin);
//echo '<pre>'.print_r($conf,1).'</pre>';
  $user       = $_SESSION['Kunde'];
  $currency   = $_SESSION['Waehrung']->cISO;
  $amount     = $_SESSION["Warenkorb"]->gibGesamtsummeWaren(1);
  $tmp        = explode('_micropayment', $_SESSION['Zahlungsart']->cModulId);
  $pm         = $mapID2PM[$tmp[1]];
  $plugintype = 'API';
  if (substr($tmp[1],0,3) == 'web') $plugintype = 'WEB';
  $chksumData = array(
    'amount'        => $amount * 100,
    'currency'      => $currency,
    'iso'           => $user->cLand,
    'host'          => $_SERVER['HTTP_HOST'],
    'project'       => $conf['project'],
    'shoptype'      => 'jtl',
    'shopversion'   => (string)(JTL_VERSION / 100).'.'.JTL_MINOR_VERSION,
    'plugintype'    => $plugintype,
    'pluginversion' => implode('.', str_split((string)$oPlugin->nVersion)),
    'pm'            => $pm,
  );
//echo '<pre>'.print_r($chksumData,1).'</pre>';
  $img = mcpay::getPoweredBy(FALSE, $chksumData, 1);
  $_SESSION['mcpay']['tracking'] = array(
    'chkSumData' => $chksumData,
    'success' => mcpay::getPoweredBy(FALSE, $chksumData, 10, NULL, TRUE),
    'successPP' => mcpay::getPoweredBy(FALSE, $chksumData, 9, NULL, TRUE),
    'error' => mcpay::getPoweredBy(FALSE, $chksumData, -1, NULL, TRUE),
    'successLogo' => mcpay::getPoweredBy(FALSE, $chksumData, 10, NULL, FALSE),
    'successPPLogo' => mcpay::getPoweredBy(FALSE, $chksumData, 9, NULL, FALSE),
    'errorLogo' => mcpay::getPoweredBy(FALSE, $chksumData, -1, NULL, FALSE),
  );
//echo '<pre>'.print_r($img,1).'</pre>';
  $_SESSION['Zahlungsart']->cHinweisText = $text.$img;
}