<?php
// HOOK_BESTELLVORGANG_PAGE_STEPZAHLUNG

if (isset($_GET['refresh'])) {
  header('location: bestellvorgang.php');
  exit;
}

global $Einstellungen;

$Zahlungsart_arr  = [];
$oZahlungsart_arr = $smarty->get_template_vars('Zahlungsarten');
//mail('webmaster@web-dezign.de', __CLASS__.'->'.__FUNCTION__.'->$oZahlungsart_arr', print_r($oZahlungsart_arr,1));
if (count($oZahlungsart_arr) > 0) {
  $isVirtual = cartIsVirtual($_SESSION['Warenkorb']); // check if cart is virtual
  //echo '<pre>'.print_r($isVirtual,1).'</pre>';
  //$isVirtual = true;// for testing

  foreach ($oZahlungsart_arr as $key => $oZahlungsart) {
    if (!isset($oZahlungsart->cModulId)){ // cModulId not set
      $Zahlungsart_arr[] = $oZahlungsart;
    }
    else if (strpos($oZahlungsart->cModulId, 'micropaymentkreditkarte') !== FALSE) { // ccard api
      if ($oZahlungsart->nWaehrendBestellung > 0){ // only during checkout
        $Zahlungsart_arr[] = $oZahlungsart;
      }
    }
    else if (strpos($oZahlungsart->cModulId, 'micropaymentlastschrift') !== FALSE) { // sepa api
      if ($oZahlungsart->nWaehrendBestellung > 0){ // only during checkout
        $Zahlungsart_arr[] = $oZahlungsart;
      }
    }
    else if (strpos($oZahlungsart->cModulId, 'micropaymentwebcall2pay') !== FALSE
      || strpos($oZahlungsart->cModulId, 'micropaymentwebhandypay') !== FALSE
    ){
      if($isVirtual) $Zahlungsart_arr[] = $oZahlungsart; // if cart is complete virtual
    }
    else if (strpos($oZahlungsart->cModulId, 'micropaymentweb') !== FALSE) { // mcpay web only
      if ($Einstellungen['kaufabwicklung']['bestellabschluss_abschlussseite'] !== 'A') { // endpage = status
        if ($oZahlungsart->nWaehrendBestellung > 0) { // only during checkout
          $Zahlungsart_arr[] = $oZahlungsart;
        }
      } else { // endpage = abschluss
        $Zahlungsart_arr[] = $oZahlungsart;
      }
    }
    else { // all others
      $Zahlungsart_arr[] = $oZahlungsart;
    }
  }
  //echo '<pre>'.print_r($Zahlungsart_arr,1).'</pre>';
  //Shop::Smarty()->assign('Zahlungsarten', $Zahlungsart_arr);
  $smarty->assign('Zahlungsarten', $Zahlungsart_arr);
}

function cartIsVirtual($oWarenkorb)
{
  $virtualProductCount = 0;
  $totalProductCount = 0;
  if (count($oWarenkorb->PositionenArr) > 0) {
    //mail('webmaster@web-dezign.de', __CLASS__.'->'.__FUNCTION__.'->$oWarenkorb->PositionenArr', print_r($oWarenkorb->PositionenArr,1));
    foreach ($oWarenkorb->PositionenArr as &$oPosition) {
      if ($oPosition->nPosTyp == C_WARENKORBPOS_TYP_ARTIKEL) {
        $totalProductCount++;
        if (isset($oPosition->Artikel->oDownload_arr) && count($oPosition->Artikel->oDownload_arr) > 0) {
          $virtualProductCount++;
        }
      }
    }
  }
  if ($virtualProductCount >= $totalProductCount) return true;
  return false;
}